Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1221540 - Review Request: nodejs-write-file-atomic - Write files in an atomic fashion w/configurable ownership
Summary: Review Request: nodejs-write-file-atomic - Write files in an atomic fashion w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-05-14 10:18 UTC by Zuzana Svetlikova
Modified: 2015-07-27 23:12 UTC (History)
2 users (show)

Fixed In Version: nodejs-write-file-atomic-1.1.2-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-16 02:33:31 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Zuzana Svetlikova 2015-05-14 10:18:57 UTC
Spec URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-write-file-atomic/nodejs-write-file-atomic.spec
SRPM URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-write-file-atomic/nodejs-write-file-atomic-1.1.0-1.fc21.src.rpm
Description: Write files in an atomic fashion w/configurable ownership
Fedora Account System Username: zvetlik

Comment 1 Tom Hughes 2015-05-20 21:54:27 UTC
Fails to build in mock as it requires npm(require-inject) which isn't available. I'm guessing you meant to leave the tests disabled for now?

Also it looks like you need to ask upstream to add the license text, and add it locally until that is done.

Comment 3 Tom Hughes 2015-05-22 23:11:19 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== Issues ======

[!]: Changelog in prescribed format.

Email address is missing in header of the most recent entry.

[!]: Install of built package on rawhide fails.

Error: Package: nodejs-write-file-atomic-1.1.2-1.fc23.noarch (/nodejs-write-file-atomic-1.1.2-1.fc23.noarch)
           Requires: npm(graceful-fs) >= 3.0.2
           Installing: nodejs-graceful-fs-2.0.0-4.fc21.noarch (fedora)
               npm(graceful-fs) = 2.0.0


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/tom/1221540-nodejs-write-file-
     atomic/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.8 starting (python version = 2.7.8)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled yum cache
Start: cleaning yum metadata
Finish: cleaning yum metadata
INFO: enabled ccache
Mock Version: 1.2.8
INFO: Mock Version: 1.2.8
Finish: chroot init
INFO: installing package(s): /home/tom/1221540-nodejs-write-file-atomic/results/nodejs-write-file-atomic-1.1.2-1.fc23.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/yum --installroot /var/lib/mock/compton-rawhide-x86_64/root/ install /home/tom/1221540-nodejs-write-file-atomic/results/nodejs-write-file-atomic-1.1.2-1.fc23.noarch.rpm


Rpmlint
-------
Checking: nodejs-write-file-atomic-1.1.2-1.fc23.noarch.rpm
          nodejs-write-file-atomic-1.1.2-1.fc23.src.rpm
nodejs-write-file-atomic.noarch: W: only-non-binary-in-usr-lib
nodejs-write-file-atomic.noarch: W: dangling-symlink /usr/lib/node_modules/write-file-atomic/node_modules/slide /usr/lib/node_modules/slide
nodejs-write-file-atomic.noarch: W: dangling-symlink /usr/lib/node_modules/write-file-atomic/node_modules/graceful-fs /usr/lib/node_modules/graceful-fs
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Requires
--------
nodejs-write-file-atomic (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(graceful-fs)
    npm(slide)



Provides
--------
nodejs-write-file-atomic:
    nodejs-write-file-atomic
    npm(write-file-atomic)



Source checksums
----------------
https://registry.npmjs.org/write-file-atomic/-/write-file-atomic-1.1.2.tgz :
  CHECKSUM(SHA256) this package     : fc2b4cf0b5cbe0327693d36da20fde4a1f02ad7985068ff1596d0c324b7290cb
  CHECKSUM(SHA256) upstream package : fc2b4cf0b5cbe0327693d36da20fde4a1f02ad7985068ff1596d0c324b7290cb


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1221540
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Zuzana Svetlikova 2015-05-23 04:50:17 UTC
Fixed the dependency with macro, I will try to contact the maintainer about updating nodejs-graceful-fs.

Spec URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-write-file-atomic/nodejs-write-file-atomic.spec
SRPM URL: https://fedorapeople.org/~zvetlik/nodejs/nodejs-write-file-atomic/nodejs-write-file-atomic-1.1.2-2.fc21.src.rpm

Comment 5 Tom Hughes 2015-05-23 06:36:32 UTC
I think you can likely just fixdep graceful-fs as the tests do pass with the version that is in F21.

Comment 6 Zuzana Svetlikova 2015-05-23 06:52:28 UTC
I already did that, I just don't consider this a real fix and there's a lot of other packages dependent on new version of graceful-fs.

Comment 8 Tom Hughes 2015-06-30 18:29:19 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/tom/1221540-nodejs-write-file-
     atomic/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-write-file-atomic-1.1.2-2.fc23.noarch.rpm
          nodejs-write-file-atomic-1.1.2-2.fc23.src.rpm
nodejs-write-file-atomic.noarch: W: only-non-binary-in-usr-lib
nodejs-write-file-atomic.noarch: W: dangling-symlink /usr/lib/node_modules/write-file-atomic/node_modules/slide /usr/lib/node_modules/slide
nodejs-write-file-atomic.noarch: W: dangling-symlink /usr/lib/node_modules/write-file-atomic/node_modules/graceful-fs /usr/lib/node_modules/graceful-fs
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
nodejs-write-file-atomic.noarch: W: only-non-binary-in-usr-lib
nodejs-write-file-atomic.noarch: W: dangling-symlink /usr/lib/node_modules/write-file-atomic/node_modules/slide /usr/lib/node_modules/slide
nodejs-write-file-atomic.noarch: W: dangling-symlink /usr/lib/node_modules/write-file-atomic/node_modules/graceful-fs /usr/lib/node_modules/graceful-fs
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
nodejs-write-file-atomic (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(graceful-fs)
    npm(slide)



Provides
--------
nodejs-write-file-atomic:
    nodejs-write-file-atomic
    npm(write-file-atomic)



Source checksums
----------------
https://registry.npmjs.org/write-file-atomic/-/write-file-atomic-1.1.2.tgz :
  CHECKSUM(SHA256) this package     : fc2b4cf0b5cbe0327693d36da20fde4a1f02ad7985068ff1596d0c324b7290cb
  CHECKSUM(SHA256) upstream package : fc2b4cf0b5cbe0327693d36da20fde4a1f02ad7985068ff1596d0c324b7290cb


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1221540
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 9 Tom Hughes 2015-06-30 18:29:40 UTC
Looks good now. Package approved.

Comment 10 Zuzana Svetlikova 2015-07-01 07:18:29 UTC
Thank you!

New Package SCM Request
=======================
Package Name: nodejs-write-file-atomic
Short Description: Write files in an atomic fashion w/configurable ownership
Upstream URL: https://github.com/iarna/write-file-atomic
Owners: zvetlik
Branches: f21 f22 el6 epel7

Comment 11 Gwyn Ciesla 2015-07-02 18:38:16 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2015-07-03 07:49:02 UTC
nodejs-write-file-atomic-1.1.2-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-write-file-atomic-1.1.2-2.el7

Comment 13 Fedora Update System 2015-07-03 07:49:53 UTC
nodejs-write-file-atomic-1.1.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-write-file-atomic-1.1.2-2.fc21

Comment 14 Fedora Update System 2015-07-03 07:50:36 UTC
nodejs-write-file-atomic-1.1.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nodejs-write-file-atomic-1.1.2-2.fc22

Comment 15 Fedora Update System 2015-07-03 18:42:32 UTC
nodejs-write-file-atomic-1.1.2-2.fc22 has been pushed to the Fedora 22 testing repository.

Comment 16 Fedora Update System 2015-07-16 02:33:31 UTC
nodejs-write-file-atomic-1.1.2-2.fc22 has been pushed to the Fedora 22 stable repository.

Comment 17 Fedora Update System 2015-07-16 02:34:09 UTC
nodejs-write-file-atomic-1.1.2-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 18 Fedora Update System 2015-07-27 23:12:02 UTC
nodejs-write-file-atomic-1.1.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.